# class Resolv::DNS::Resource::MX

Mail Exchanger resource.

### Attributes

exchange [R]

The host of this `MX`.

preference [R]

The preference for this `MX`.

### Public Class Methods

new (preference, exchange)
Source

    # File lib/resolv.rb, line 2397
    def initialize(preference, exchange)
      @preference = preference
      @exchange = exchange
    end

Creates a new `MX` record with `preference`, accepting mail at `exchange`.